Bug Hunting Session
Bug 93410 - NullPointerException while connecting to LibreOffice via Java UNO API
Summary: NullPointerException while connecting to LibreOffice via Java UNO API
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-13 13:14 UTC by sebastian.peters
Modified: 2015-10-01 11:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebastian.peters 2015-08-13 13:14:30 UTC
I get a NPE within socketConnector.java:150 with the current release 5.0.0.5 of libreoffice and UNO API (jurt.jar)

Seems there is already a change  on GitHub. But the description of the change doesn't deal with an exception.

https://github.com/LibreOffice/core/commit/9ffdcc76858bc01150727345de4dfd0ef40ed8c0

Regards, Sebastian

java.lang.NullPointerException
at com.sun.star.lib.connections.socket.socketConnector.connect(socketConnector.java:150)
at com.sun.star.comp.connections.Connector.connect(Connector.java:114)
at com.sun.star.comp.urlresolver.UrlResolver$_UrlResolver.resolve(UrlResolver.java:105)
Comment 1 Julien Nabet 2015-08-13 21:41:46 UTC
Sebastian: it seems the useful http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ffdcc76858bc01150727345de4dfd0ef40ed8c0 is only  on master sources (so for future 5.1.0)
Now since Noel affected himself to this bugtracker, I suppose he planned to backport this on 5.0 branch (and perhaps also on 5.0.1 branch).
Comment 2 Commit Notification 2015-08-18 15:10:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe56dfd8261f311f78c375a54a09adb81489c854&h=libreoffice-5-0

tdf#93410 - NPE while connecting to LibreOffice via Java UNO API

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 sebastian.peters 2015-10-01 11:26:02 UTC
With the latest update of jurt.jar to version 5.0.2.2 (bundled with libreoffice 5.0.2) the socket connection to the background process works again. Thanks a lot.